/*
Theme Name: X child (Gockel)
Description: Child theme for the X theme
Author: Dinoxi
Author URI: http://dinoxi.com
Template: x
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: gockel-child
*/

.wp-post-image {
    border-radius: 20px;
}

.product .amount bdi {
    color: black;
    font-size: 20px;
    font-weight: 700;
}

.composite_price, .composite_availability {
    display: none !important;
}

.flaticon-right-arrow,
.flaticon-back {
    display: none !important;
}

.wpgs-nav {
    padding: 0 2.5rem;
    margin-top: 10px;
}

.wpgs-nav .slick-slide {
    max-width: 100px;
}

.wpgs-nav .slick-slide:first-child {
    margin-left: 1rem !important;
}

@media screen and (max-width: 1020px) {
    .wpgs-nav .slick-slide {
        height: 24px !important;
        width: 24px !important;
    }
}

.wpgs-nav .slick-slide {
    border-color: transparent !important;
}

.wpgs-nav .wpgs-thumb-main-image {
    border-radius: 8px;
}

.wpgs-nav .attachment-woocommerce_gallery_thumbnail {
    border-radius: 8px;
}

.wpgs-nav .slick-slide {
    border-radius: 8px;
    margin-right: 15px !important;

}

.wpgs-nav .slick-current {
    border-color: #EB5E28 !important;
    border-radius: 8px !important;
}

.slick-next::before {
    content: '' !important;
    background-size: 38px;
    background-image: url("/wordpress//wp-content/themes/x-child/assets/images/icon-right.svg");
    width: 38px;
    height: 38px;
    display: inherit;
}

.slick-next {
    right: 17px !important;
}

.slick-prev::before {
    content: '' !important;
    background-size: 38px;
    background-image: url("/wordpress/wp-content/themes/x-child/assets/images/icon-left.svg");
    width: 38px;
    height: 38px;
    display: inherit;
}

.slick-prev {
    margin-left: 11px !important;
}

@media screen and (min-width: 1020px) {
    .single-product .entry-wrap {
        padding: 0 !important;
        margin-top: 6rem !important;
    }
}


.woo-product-gallery-slider {
    opacity: 1;
    display: flex;
    flex-direction: column;
}

.woocommerce-tabs {
    order: 3;
}

.x-nav-tabs {
    border: none !important;
    box-shadow: none !important;

}

.x-nav-tabs > li {
    border: none !important;
}

.x-nav-tabs a {
    box-shadow: none !important;
    background: white !important;
    font-weight: 700;
    color: black !important;
}

.x-nav-tabs a[aria-selected="true"] {
    border-bottom: solid 1px #EB5E28 !important;
}

.x-nav-tabs a[aria-selected="false"] {
    border-bottom: solid 1px #D2D3D6 !important;
}

.x-tab-content {
    border: none !important;
    box-shadow: none !important;
}

.quantity__input {
    border: solid 1px #BCBFC2;
    border-radius: 12px;
    width: 116px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.quantity__input button {
    background: none;
    border: none;
    font-size: 20px;
    font-weight: 700;
}

.quantity__input input {
    background: none !important;
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
    text-align: center;
    font-size: 20px !important;
    font-weight: 700;
    width: 40px;
}


.quantity__input input::-webkit-outer-spin-button,
.quantity__input input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.quantity__input input[type=number] {
    -moz-appearance: textfield;
}

.composite_button {
    display: flex;
    gap: 24px;
    flex-wrap: wrap;
}

@media screen and (max-width: 1020px) {
    .composite_add_to_cart_button {
        height: max-content !important;
    }
}

.composite_add_to_cart_button {
    height: 48px;
    max-width: 335px;
    width: 100%;
    font-size: 20px !important;
    font-weight: 700 !important;
    position: relative;
    text-shadow: none !important;
    text-align: left !important;
}

.composite_add_to_cart_button:after {
    content: '';
    position: absolute;
    right: 20px;
    top: 14px;
    width: 20px;
    height: 20px;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" fill="white" viewBox="0 0 24 24" stroke-width="1.5" stroke="white" class="w-6 h-6"><path stroke-linecap="round" stroke-linejoin="round" d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 0 0-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 0 0-16.536-1.84M7.5 14.25 5.106 5.272M6 20.25a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm12.75 0a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" /></svg>');
}

.product-template-default .up-sells {
    width: 100vw !important;
    position: relative !important;
    left: 50% !important;
    right: 50% !important;
    margin-left: -50vw !important;
    margin-right: -50vw !important;
    float: unset !important;
    padding-top: 2rem;
}

.product-template-default .up-sells .products {
    display: flex;
    justify-content: center;
    gap: 2rem;
    align-items: center;
    min-height: 800px;
    background: #F5F5F5;
    flex-wrap: wrap;
    margin-top: -5rem;
    @media screen and (max-width: 1020px) {
        flex-direction: column;
    }
}

.product-template-default .up-sells h2 {
    color: black;
    height: max-content;
    text-align: center;
    background: #F5F5F5;
    margin: unset !important;
    padding-top: 4rem !important;
    font-size: 22px !important;
    font-weight: 700;
    @media screen and (max-width: 1020px) {
        padding-top: 6rem !important;
        padding-bottom: 6rem !important;
    }
}

.product-template-default .up-sells .product {
    float: unset !important;
    margin: unset !important;
    width: unset !important;
    @media screen and (min-width: 1020px) {
        flex-basis: 32%;
    }
    @media screen and (max-width: 680px) {
        flex-basis: 80%;
    }

    @media screen and (min-width: 680px) and (max-width: 1019px) {
        flex-basis: 40%;
    }
    height: max-content;
    max-width: 350px;
}

@media screen and (max-width: 1020px) {
    flex-basis: 100%;
}

.product-template-default .up-sells .entry-wrap {
    margin-top: unset !important;
}

.product-template-default .up-sells .entry-wrap h3 a {
    text-align: center;
    max-width: 50%;
    margin: 0 auto;
}

.product-template-default .up-sells .entry-wrap .price {
    text-align: center;
    font-size: 18px;
}

.product-template-default .up-sells .entry-wrap .price .amount bdi {
    font-weight: 400 !important;
}

.product-template-default .up-sells .product a {
    display: flex !important;
    padding: 20px 0;
}

.product-template-default .up-sells .product img {
    max-width: 318px !important;
    max-height: 209px !important;
    margin: 0 auto;
    min-width: unset !important;
}

.product-template-default::-webkit-scrollbar {
    width: 0 !important;
    height: 0;
}

.composite_button:before {
    content: unset !important;
}

body {
    overflow: unset !important;
}

[class*="woocommerce"] li.product .entry-header .button {
    opacity: unset !important;
    position: unset !important;
}

.upsell__add-to-cart {
    margin: 20px auto !important;
    height: 48px !important;
    width: 131px !important;

    display: flex;
    justify-content: center;
    align-items: center;
}

.upsell__add-to-cart {
    font-weight: 700 !important;
    font-size: 20px !important;
    text-shadow: none !important;
}

.upsell__add-to-cart i {
    display: none !important;
}

.entry-featured {
    border: none !important;
    box-shadow: none !important;
}

[class*="woocommerce"] .upsells ul.products li.product {
    box-shadow: none !important;
    border-radius: 12px !important;
    transition: .3s all;
}

[class*="woocommerce"] .upsells ul.products li.product:hover {
    border-color: #F5AF94;
    cursor: pointer;
    box-shadow: 0 9px 24px 0 #D9DADB !important;
    border-radius: 12px;
}

.entry-product .from{
    display: none !important;
}

.entry-product .woocommerce-price-suffix{
    font-size: 10px !important;
    color: #939699 !important;
}

.is-composited .wc-block-components-quantity-selector
{
    display: none !important;
}

.wc-block-cart__submit-button{
    color: #ffffff;
    border-color: transparent;
    background-color: #EB5E28;
    border-radius: 0.25em;
    font-weight: 700;
    margin-bottom: 3rem;
}


.is-composited .wc-block-cart-item__wrap:before {
    display: none !important;
    content: unset !important;
}


@media screen and (min-width: 820px){
    .woo-product-gallery-slider .woocommerce-tabs{
        display: inherit !important;
    }
    .woocommerce-tabs{
        display: none;
        flex-direction: column;
    }
}


@media screen and (max-width: 820px){
    .woo-product-gallery-slider .woocommerce-tabs {
        display: none !important;
    }
}

.x-tab-content h1, .x-tab-content h1 *  {
    font-size: 26px !important;
}

.x-tab-content h2, .x-tab-content h2 *  {
    font-size: 22px !important;
}

.x-tab-content h3, .x-tab-content h3 *  {
    font-size: 18px !important;
}

.related.products{
    display: none !important;
}


@font-face {
    font-family: "import-djordi";
    font-display: auto;
    src: url('/wp-content/uploads/2024/04/AcuminProExtraCondensed-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: "import-djordi";
    font-display: auto;
    font-weight: 700;
    src: url('/wp-content/uploads/2024/04/AcuminProExtraCondensed-Medium.woff') format('woff');
}

@font-face {
    font-family: "import-djordi";
    font-display: auto;
    src: url('/wp-content/uploads/2024/04/AcuminProExtraCondensed-Bold.woff') format('woff');
    font-weight: 900;
    font-style: normal;
}

